version: '3.8'

services:
  app:
    build: .
    ports:
      - "8082:8082"
    depends_on:
      - db
    environment:
      SPRING_DATASOURCE_URL: jdbc:postgresql://db:5432/db_name
      SPRING_DATASOURCE_USERNAME: db_user
      SPRING_DATASOURCE_PASSWORD: db_password
      SPRING_JPA_HIBERNATE_DDL-AUTO: create-drop
      SPRING_JPA_PROPERTIES_HIBERNATE_DIALECT: org.hibernate.dialect.PostgreSQLDialect

  db:
    image: postgres
    environment:
      POSTGRES_DB: db_name
      POSTGRES_USER: db_user
      POSTGRES_PASSWORD: db_password
    ports:
      - "5432:5432"
